## audacity 2.0.6

=== lib-src/lv2/Makefile ===
all:
	./build

check:

clean:
	rm -rf include lv2/build serd/build sord/build sratom/build lilv/build
	rm -f liblv2.a

distclean: clean
	rm -rf lv2/.waf-* serd/.waf-* sord/.waf-* sratom/.waf-* lilv/.waf-*
	rm -rf lv2/.lock-* serd/.lock-* sord/.lock-* sratom/.lock-* lilv/.lock-*

EXTRA_DIST = \
	build \
	configure \
	Makefile \
	serdnode.patch \
	unpack-waf \
	usegetprocaddress.patch \
	lilv/AUTHORS \
	lilv/COPYING \
	lilv/INSTALL \
	lilv/lilv.pc.in \
	lilv/lilv.ttl \
	lilv/NEWS \
	lilv/PACKAGING \
	lilv/README \
	lilv/waf \
	lilv/wscript \
	lilv/bindings/lilv.i \
	lilv/bindings/python/lv2_apply.py \
	lilv/bindings/python/lv2_list.py \
	lilv/doc/layout.xml \
	lilv/doc/lv2info.1 \
	lilv/doc/lv2ls.1 \
	lilv/doc/reference.doxygen.in \
	lilv/doc/style.css \
	lilv/lilv/lilv.h \
	lilv/lilv/lilvmm.hpp \
	lilv/src/collections.c \
	lilv/src/instance.c \
	lilv/src/lib.c \
	lilv/src/lilv_internal.h \
	lilv/src/node.c \
	lilv/src/plugin.c \
	lilv/src/pluginclass.c \
	lilv/src/port.c \
	lilv/src/query.c \
	lilv/src/scalepoint.c \
	lilv/src/state.c \
	lilv/src/ui.c \
	lilv/src/util.c \
	lilv/src/world.c \
	lilv/src/zix/common.h \
	lilv/src/zix/tree.c \
	lilv/src/zix/tree.h \
	lilv/test/lilv_test.c \
	lilv/test/manifest.ttl.in \
	lilv/test/test_plugin.c \
	lilv/test/test_plugin.ttl.in \
	lilv/utils/bench.h \
	lilv/utils/lilv.bash_completion \
	lilv/utils/lilv-bench.c \
	lilv/utils/lv2bench.c \
	lilv/utils/lv2info.c \
	lilv/utils/lv2ls.c \
	lilv/utils/uri_table.h \
	lilv/waflib/Build.py \
	lilv/waflib/ConfigSet.py \
	lilv/waflib/Configure.py \
	lilv/waflib/Context.py \
	lilv/waflib/Errors.py \
	lilv/waflib/Logs.py \
	lilv/waflib/Node.py \
	lilv/waflib/Options.py \
	lilv/waflib/Runner.py \
	lilv/waflib/Scripting.py \
	lilv/waflib/Task.py \
	lilv/waflib/TaskGen.py \
	lilv/waflib/Tools/__init__.py \
	lilv/waflib/Tools/ar.py \
	lilv/waflib/Tools/asm.py \
	lilv/waflib/Tools/bison.py \
	lilv/waflib/Tools/c.py \
	lilv/waflib/Tools/c_aliases.py \
	lilv/waflib/Tools/c_config.py \
	lilv/waflib/Tools/c_osx.py \
	lilv/waflib/Tools/c_preproc.py \
	lilv/waflib/Tools/c_tests.py \
	lilv/waflib/Tools/ccroot.py \
	lilv/waflib/Tools/compiler_c.py \
	lilv/waflib/Tools/compiler_cxx.py \
	lilv/waflib/Tools/compiler_d.py \
	lilv/waflib/Tools/cs.py \
	lilv/waflib/Tools/cxx.py \
	lilv/waflib/Tools/d_config.py \
	lilv/waflib/Tools/dbus.py \
	lilv/waflib/Tools/dmd.py \
	lilv/waflib/Tools/errcheck.py \
	lilv/waflib/Tools/flex.py \
	lilv/waflib/Tools/g95.py \
	lilv/waflib/Tools/gas.py \
	lilv/waflib/Tools/gcc.py \
	lilv/waflib/Tools/gdc.py \
	lilv/waflib/Tools/glib2.py \
	lilv/waflib/Tools/gnu_dirs.py \
	lilv/waflib/Tools/gxx.py \
	lilv/waflib/Tools/icc.py \
	lilv/waflib/Tools/icpc.py \
	lilv/waflib/Tools/ifort.py \
	lilv/waflib/Tools/intltool.py \
	lilv/waflib/Tools/irixcc.py \
	lilv/waflib/Tools/ldc2.py \
	lilv/waflib/Tools/lua.py \
	lilv/waflib/Tools/msvc.py \
	lilv/waflib/Tools/nasm.py \
	lilv/waflib/Tools/perl.py \
	lilv/waflib/Tools/python.py \
	lilv/waflib/Tools/ruby.py \
	lilv/waflib/Tools/suncc.py \
	lilv/waflib/Tools/suncxx.py \
	lilv/waflib/Tools/waf_unit_test.py \
	lilv/waflib/Tools/winres.py \
	lilv/waflib/Tools/xlc.py \
	lilv/waflib/Tools/xlcxx.py \
	lilv/waflib/Utils.py \
	lilv/waflib/__init__.py \
	lilv/waflib/ansiterm.py \
	lilv/waflib/extras/__init__.py \
	lilv/waflib/extras/autowaf.py \
	lilv/waflib/extras/doxygen.py \
	lilv/waflib/extras/swig.py \
	lilv/waflib/fixpy2.py \
	lv2/COPYING \
	lv2/lv2.pc.in \
	lv2/NEWS \
	lv2/README \
	lv2/waf \
	lv2/wscript \
	lv2/doc/doxy-style.css \
	lv2/doc/header.html \
	lv2/doc/htaccess.in \
	lv2/doc/mainpage.dox \
	lv2/doc/reference.doxygen.in \
	lv2/doc/style.css \
	lv2/lv2/lv2plug.in/ns/index.html.in \
	lv2/lv2/lv2plug.in/ns/ext/atom/atom.h \
	lv2/lv2/lv2plug.in/ns/ext/atom/atom-test.c \
	lv2/lv2/lv2plug.in/ns/ext/atom/atom.ttl \
	lv2/lv2/lv2plug.in/ns/ext/atom/forge.h \
	lv2/lv2/lv2plug.in/ns/ext/atom/lv2-atom.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/atom/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/atom/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/atom/util.h \
	lv2/lv2/lv2plug.in/ns/ext/buf-size/buf-size.h \
	lv2/lv2/lv2plug.in/ns/ext/buf-size/buf-size.ttl \
	lv2/lv2/lv2plug.in/ns/ext/buf-size/lv2-buf-size.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/buf-size/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/buf-size/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/data-access/data-access.h \
	lv2/lv2/lv2plug.in/ns/ext/data-access/data-access.ttl \
	lv2/lv2/lv2plug.in/ns/ext/data-access/lv2-data-access.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/data-access/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/data-access/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/dynmanifest/dynmanifest.h \
	lv2/lv2/lv2plug.in/ns/ext/dynmanifest/dynmanifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/dynmanifest/lv2-dynmanifest.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/dynmanifest/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/dynmanifest/NEWS \
	lv2/lv2/lv2plug.in/ns/extensions/ui/lv2-ui.doap.ttl \
	lv2/lv2/lv2plug.in/ns/extensions/ui/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/extensions/ui/NEWS \
	lv2/lv2/lv2plug.in/ns/extensions/ui/ui.h \
	lv2/lv2/lv2plug.in/ns/extensions/ui/ui.ttl \
	lv2/lv2/lv2plug.in/ns/extensions/units/lv2-units.doap.ttl \
	lv2/lv2/lv2plug.in/ns/extensions/units/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/extensions/units/NEWS \
	lv2/lv2/lv2plug.in/ns/extensions/units/units.h \
	lv2/lv2/lv2plug.in/ns/extensions/units/units.ttl \
	lv2/lv2/lv2plug.in/ns/ext/event/event.h \
	lv2/lv2/lv2plug.in/ns/ext/event/event-helpers.h \
	lv2/lv2/lv2plug.in/ns/ext/event/event.ttl \
	lv2/lv2/lv2plug.in/ns/ext/event/lv2-event.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/event/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/event/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/instance-access/instance-access.h \
	lv2/lv2/lv2plug.in/ns/ext/instance-access/instance-access.ttl \
	lv2/lv2/lv2plug.in/ns/ext/instance-access/lv2-instance-access.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/instance-access/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/instance-access/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/log/logger.h \
	lv2/lv2/lv2plug.in/ns/ext/log/log.h \
	lv2/lv2/lv2plug.in/ns/ext/log/log.ttl \
	lv2/lv2/lv2plug.in/ns/ext/log/lv2-log.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/log/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/log/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/midi/lv2-midi.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/midi/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/midi/midi.h \
	lv2/lv2/lv2plug.in/ns/ext/midi/midi.ttl \
	lv2/lv2/lv2plug.in/ns/ext/midi/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/morph/lv2-morph.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/morph/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/morph/morph.h \
	lv2/lv2/lv2plug.in/ns/ext/morph/morph.ttl \
	lv2/lv2/lv2plug.in/ns/ext/morph/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/options/lv2-options.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/options/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/options/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/options/options.h \
	lv2/lv2/lv2plug.in/ns/ext/options/options.ttl \
	lv2/lv2/lv2plug.in/ns/ext/parameters/lv2-parameters.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/parameters/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/parameters/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/parameters/parameters.h \
	lv2/lv2/lv2plug.in/ns/ext/parameters/parameters.ttl \
	lv2/lv2/lv2plug.in/ns/ext/patch/lv2-patch.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/patch/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/patch/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/patch/patch.h \
	lv2/lv2/lv2plug.in/ns/ext/patch/patch.ttl \
	lv2/lv2/lv2plug.in/ns/ext/port-groups/lv2-port-groups.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/port-groups/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/port-groups/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/port-groups/port-groups.h \
	lv2/lv2/lv2plug.in/ns/ext/port-groups/port-groups.ttl \
	lv2/lv2/lv2plug.in/ns/ext/port-props/lv2-port-props.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/port-props/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/port-props/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/port-props/port-props.h \
	lv2/lv2/lv2plug.in/ns/ext/port-props/port-props.ttl \
	lv2/lv2/lv2plug.in/ns/ext/presets/lv2-presets.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/presets/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/presets/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/presets/presets.h \
	lv2/lv2/lv2plug.in/ns/ext/presets/presets.ttl \
	lv2/lv2/lv2plug.in/ns/ext/resize-port/lv2-resize-port.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/resize-port/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/resize-port/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/resize-port/resize-port.h \
	lv2/lv2/lv2plug.in/ns/ext/resize-port/resize-port.ttl \
	lv2/lv2/lv2plug.in/ns/ext/state/lv2-state.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/state/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/state/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/state/state.h \
	lv2/lv2/lv2plug.in/ns/ext/state/state.ttl \
	lv2/lv2/lv2plug.in/ns/ext/time/lv2-time.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/time/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/time/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/time/time.h \
	lv2/lv2/lv2plug.in/ns/ext/time/time.ttl \
	lv2/lv2/lv2plug.in/ns/ext/urid/lv2-urid.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/urid/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/urid/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/urid/urid.h \
	lv2/lv2/lv2plug.in/ns/ext/urid/urid.ttl \
	lv2/lv2/lv2plug.in/ns/ext/uri-map/lv2-uri-map.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/uri-map/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/uri-map/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/uri-map/uri-map.h \
	lv2/lv2/lv2plug.in/ns/ext/uri-map/uri-map.ttl \
	lv2/lv2/lv2plug.in/ns/ext/worker/lv2-worker.doap.ttl \
	lv2/lv2/lv2plug.in/ns/ext/worker/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/ext/worker/NEWS \
	lv2/lv2/lv2plug.in/ns/ext/worker/worker.h \
	lv2/lv2/lv2plug.in/ns/ext/worker/worker.ttl \
	lv2/lv2/lv2plug.in/ns/lv2core/lv2core.doap.ttl \
	lv2/lv2/lv2plug.in/ns/lv2core/lv2core.pc.in \
	lv2/lv2/lv2plug.in/ns/lv2core/lv2core.ttl \
	lv2/lv2/lv2plug.in/ns/lv2core/lv2.h \
	lv2/lv2/lv2plug.in/ns/lv2core/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/lv2core/NEWS \
	lv2/lv2/lv2plug.in/ns/lv2core/README \
	lv2/lv2/lv2plug.in/ns/lv2core/wscript \
	lv2/lv2/lv2plug.in/ns/meta/manifest.ttl \
	lv2/lv2/lv2plug.in/ns/meta/meta.ttl \
	lv2/lv2specgen/lv2docgen.py \
	lv2/lv2specgen/lv2specgen.py \
	lv2/lv2specgen/style.css \
	lv2/lv2specgen/template.html \
	lv2/lv2specgen/DTD/xhtml-attribs-1.mod \
	lv2/lv2specgen/DTD/xhtml-base-1.mod \
	lv2/lv2specgen/DTD/xhtml-basic11.dtd \
	lv2/lv2specgen/DTD/xhtml-basic11-model-1.mod \
	lv2/lv2specgen/DTD/xhtml-basic-table-1.mod \
	lv2/lv2specgen/DTD/xhtml-bdo-1.mod \
	lv2/lv2specgen/DTD/xhtml-blkphras-1.mod \
	lv2/lv2specgen/DTD/xhtml-blkpres-1.mod \
	lv2/lv2specgen/DTD/xhtml-blkstruct-1.mod \
	lv2/lv2specgen/DTD/xhtml-charent-1.mod \
	lv2/lv2specgen/DTD/xhtml-csismap-1.mod \
	lv2/lv2specgen/DTD/xhtml-datatypes-1.mod \
	lv2/lv2specgen/DTD/xhtml-edit-1.mod \
	lv2/lv2specgen/DTD/xhtml-events-1.mod \
	lv2/lv2specgen/DTD/xhtml-form-1.mod \
	lv2/lv2specgen/DTD/xhtml-framework-1.mod \
	lv2/lv2specgen/DTD/xhtml-hypertext-1.mod \
	lv2/lv2specgen/DTD/xhtml-image-1.mod \
	lv2/lv2specgen/DTD/xhtml-inlphras-1.mod \
	lv2/lv2specgen/DTD/xhtml-inlpres-1.mod \
	lv2/lv2specgen/DTD/xhtml-inlstruct-1.mod \
	lv2/lv2specgen/DTD/xhtml-inlstyle-1.mod \
	lv2/lv2specgen/DTD/xhtml-inputmode-1.mod \
	lv2/lv2specgen/DTD/xhtml-lat1.ent \
	lv2/lv2specgen/DTD/xhtml-legacy-1.mod \
	lv2/lv2specgen/DTD/xhtml-link-1.mod \
	lv2/lv2specgen/DTD/xhtml-list-1.mod \
	lv2/lv2specgen/DTD/xhtml-meta-1.mod \
	lv2/lv2specgen/DTD/xhtml-object-1.mod \
	lv2/lv2specgen/DTD/xhtml-param-1.mod \
	lv2/lv2specgen/DTD/xhtml-pres-1.mod \
	lv2/lv2specgen/DTD/xhtml-qname-1.mod \
	lv2/lv2specgen/DTD/xhtml-script-1.mod \
	lv2/lv2specgen/DTD/xhtml-special.ent \
	lv2/lv2specgen/DTD/xhtml-ssismap-1.mod \
	lv2/lv2specgen/DTD/xhtml-struct-1.mod \
	lv2/lv2specgen/DTD/xhtml-style-1.mod \
	lv2/lv2specgen/DTD/xhtml-symbol.ent \
	lv2/lv2specgen/DTD/xhtml-table-1.mod \
	lv2/lv2specgen/DTD/xhtml-target-1.mod \
	lv2/lv2specgen/DTD/xhtml-text-1.mod \
	lv2/plugins/literasc.py \
	lv2/plugins/README.txt \
	lv2/plugins/wscript \
	lv2/plugins/eg01-amp.lv2/amp.c \

=== lib-src/mod-nyq-bench/Makefile ===
# -----------------------------------------------------------------------------
# Nothing fancy...just build the darn thing...that's all
#

# -----------------------------------------------------------------------------
# NOTE: Change this to the base of the Audacity source distribution, or specify
#       via command line or environment
#       Default is to use the sources which this directory is part of
#
AUDACITY_DIR ?= ../..

# -----------------------------------------------------------------------------
# NOTE: Set to the names of your objects and final module name
#
OBJS = NyqBench.o
MOD = mod-nyq-bench.so

# -----------------------------------------------------------------------------
# NOTE: Set any custom flags you may need
#
CXXFLAGS += -Wall -O9

# -----------------------------------------------------------------------------
# Hopefully the rest is generic enough to satisfy most needs
# -----------------------------------------------------------------------------

CXXFLAGS += -DAUDACITY_DLL_API= -I$(AUDACITY_DIR)/src -I$(AUDACITY_DIR)/lib-src/portaudio-v19/include
CXXFLAGS += ${shell echo @CPPFLAGS@ | ../../config.status --file=- }
CXXFLAGS += ${shell echo @CXXFLAGS@ | ../../config.status --file=- | sed -e 's@$$(top_srcdir)@$(AUDACITY_DIR)@g' }
CXXFLAGS += ${shell echo @LIBNYQUIST_CFLAGS@ | ../../config.status --file=- | sed -e 's@$$(top_srcdir)@$(AUDACITY_DIR)@g' }
CXXFLAGS += ${shell echo @WX_CXXFLAGS@ | ../../config.status --file=- }
LDFLAGS += ${shell echo @LIBS@ | ../../config.status --file=- }

SYS = $(shell uname -s)

ifeq ($(SYS),Darwin)
   CXXFLAGS += -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 
   LDFLAGS += $(CXXFLAGS) -dynamiclib -undefined suppress
else
   CXXFLAGS += -fPIC
   LDFLAGS += -shared
endif

LD = g++

all: basecheck $(MOD)

# -----------------------------------------------------------------------------
# Make sure we can get to the Audacity source
#
basecheck:
	@if test -z "$(AUDACITY_DIR)/src/Audacity.h"                   ; \
	then                                                             \
	  echo "You need to set AUDACITY_DIR equal to the base"        ; \
	  echo "of your Audacity source directory.  You can do"        ; \
	  echo "this via an environemnt variable, include it on"       ; \
	  echo "the make command line or set it at the top of"         ; \
	  echo "the Makefile."                                         ; \
     exit 1                                                       ; \
	fi

# -----------------------------------------------------------------------------
# Build it
#
$(MOD): $(OBJS)
	$(LD) $(LDFLAGS) -o $(MOD) $(OBJS)
	@mkdir -p $(AUDACITY_DIR)/modules
	@cp $(MOD) $(AUDACITY_DIR)/modules
	@echo
	@echo "$(MOD) has been copied to $(AUDACITY_DIR)/modules"
	@echo

# -----------------------------------------------------------------------------
# Cleanup
#
clean: 
	-rm $(MOD) $(OBJS)

=== lib-src/mod-script-pipe/Makefile ===
# -----------------------------------------------------------------------------
# Build mod-script-pipe plugin
#
# EXPERIMENTAL!
# (Based on a Makefile by Leland)
#

# -----------------------------------------------------------------------------
# NOTE: Change this to the base of the Audacity source distribution, or specify
#       via command line or environment
#
AUDACITY_DIR = ../..

# -----------------------------------------------------------------------------
# NOTE: Set to the names of your objects and final module name
#
OBJS = PipeServer.o ScripterCallback.o
MOD = mod-script-pipe.so

# -----------------------------------------------------------------------------
# NOTE: Set any custom flags you may need
#
CXXFLAGS += -Wall -O9
CXXFLAGS += -DCC_HASVISIBILITY # Normally provided by configure
CXXFLAGS += -DBUILDING_SCRIPT_PIPE
CXXFLAGS += ${shell echo @WX_CXXFLAGS@ | ../../config.status --file=- }
CXXFLAGS += -D__WXDEBUG__ -D__WXGTK__

# -----------------------------------------------------------------------------
# Hopefully the rest is generic enough to satisfy most needs
# -----------------------------------------------------------------------------

CXXFLAGS += -DAUDACITY_DLL_API= -I$(AUDACITY_DIR)/src
CXXFLAGS += ${shell set -x ; sed -e '/override CXXFLAGS/!d;s/override CXXFLAGS += //;s@$$(top_srcdir)@$(AUDACITY_DIR)@g' $(AUDACITY_DIR)/src/Makefile}

LDFLAGS += ${shell sed -e '/^LIBS/!d;s/LIBS *=//' $(AUDACITY_DIR)/src/Makefile}

SYS = $(shell uname -s)

ifeq ($(SYS),Darwin)
   CXXFLAGS += -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
   LDFLAGS += $(CXXFLAGS) -dynamiclib -undefined suppress
else
   CXXFLAGS += -fPIC -fvisibility=hidden
   LDFLAGS += -shared
endif

LD = g++

all: basecheck $(MOD)

# -----------------------------------------------------------------------------
# Make sure we can get to the Audacity source
#
basecheck:
	@if test -z "$(AUDACITY_DIR)/src/Audacity.h"                   ; \
	then                                                             \
	  echo "You need to set AUDACITY_DIR equal to the base"        ; \
	  echo "of your Audacity source directory.  You can do"        ; \
	  echo "this via an environemnt variable, include it on"       ; \
	  echo "the make command line or set it at the top of"         ; \
	  echo "the Makefile."                                         ; \
     exit 1                                                       ; \
	fi

# -----------------------------------------------------------------------------
# Build it
#
$(MOD): $(OBJS)
	$(LD) $(LDFLAGS) -o $(MOD) $(OBJS)
	@mkdir -p $(AUDACITY_DIR)/modules
	@cp $(MOD) $(AUDACITY_DIR)/modules
	@echo
	@echo "$(MOD) has been copied to $(AUDACITY_DIR)/modules"
	@echo


# -----------------------------------------------------------------------------
# Cleanup
#
clean:
	-rm $(MOD) $(OBJS)

=== lib-src/lv2/lv2/wscript ===
#!/usr/bin/env python
import glob
import os
import re
import shutil
import subprocess
import sys

from waflib.extras import autowaf as autowaf
import waflib.Context as Context
import waflib.Logs as Logs
import waflib.Options as Options
import waflib.Scripting as Scripting

# Variables for 'waf dist'
APPNAME = 'lv2'
VERSION = '1.6.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help='Build unit tests')
    opt.add_option('--online-docs', action='store_true', dest='online_docs',
                   help='Build documentation for web hosting')
    opt.add_option('--no-plugins', action='store_true', dest='no_plugins',
                   help='Do not build example plugins')
    opt.add_option('--copy-headers', action='store_true', dest='copy_headers',
                   help='Copy headers instead of linking to bundle')
    opt.recurse('lv2/lv2plug.in/ns/lv2core')

def configure(conf):
    try:
        conf.load('compiler_c')
    except:
        Options.options.build_tests = False
        Options.options.no_plugins = True

    if Options.options.online_docs:
        Options.options.docs = True

    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)

    if Options.platform == 'win32' or not hasattr(os.path, 'relpath'):
        Logs.warn('System does not support linking headers, copying')
        Options.options.copy_headers = True

    conf.env.BUILD_TESTS   = Options.options.build_tests
    conf.env.BUILD_PLUGINS = not Options.options.no_plugins
    conf.env.COPY_HEADERS  = Options.options.copy_headers
    conf.env.ONLINE_DOCS   = Options.options.online_docs

    if conf.env.DOCS or conf.env.ONLINE_DOCS:
        try:
            conf.find_program('asciidoc')
            conf.env.BUILD_BOOK = True
        except:
            Logs.warn('Asciidoc not found, book will not be built')

    # Check for gcov library (for test coverage)
    if conf.env.BUILD_TESTS and not conf.is_defined('HAVE_GCOV'):
        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)

    autowaf.set_recursive()

    conf.recurse('lv2/lv2plug.in/ns/lv2core')

    conf.env.LV2_BUILD = ['lv2/lv2plug.in/ns/lv2core']
    if conf.env.BUILD_PLUGINS:
        for i in conf.path.ant_glob('plugins/*', src=False, dir=True):
            try:
                conf.recurse(i.srcpath())
                conf.env.LV2_BUILD += [i.srcpath()]
            except:
                Logs.warn('Configuration failed, %s will not be built\n' % i)

    autowaf.configure(conf)
    autowaf.display_header('LV2 Configuration')
    autowaf.display_msg(conf, 'Bundle directory', conf.env.LV2DIR)
    autowaf.display_msg(conf, 'Copy (not link) headers', conf.env.COPY_HEADERS)
    autowaf.display_msg(conf, 'Version', VERSION)

def chop_lv2_prefix(s):
    if s.startswith('lv2/lv2plug.in/'):
        return s[len('lv2/lv2plug.in/'):]
    return s

# Rule for calling lv2specgen on a spec bundle
def specgen(task):
    import rdflib
    doap = rdflib.Namespace('http://usefulinc.com/ns/doap#')
    lv2  = rdflib.Namespace('http://lv2plug.in/ns/lv2core#')
    owl  = rdflib.Namespace('http://www.w3.org/2002/07/owl#')
    rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')

    sys.path.append('./lv2specgen')
    import lv2specgen

    spec   = task.inputs[0]
    path   = os.path.dirname(spec.srcpath())
    outdir = os.path.abspath(os.path.join(out, chop_lv2_prefix(path)))

    bundle = str(outdir)
    b = os.path.basename(outdir)

    if not os.access(spec.abspath(), os.R_OK):
        print('warning: extension %s has no %s.ttl file' % (b, b))
        return

    try:
        model = rdflib.ConjunctiveGraph()
        for i in glob.glob('%s/*.ttl' % bundle):
            model.parse(i, format='n3')
    except:
        e = sys.exc_info()[1]
        print('error parsing %s: %s' % (bundle, str(e)))
        return

    # Get extension URI
    ext_node = model.value(None, rdf.type, lv2.Specification)
    if not ext_node:
        print('no extension found in %s' % bundle)
        return
    
    ext = str(ext_node)

    # Get version
    minor = 0
    micro = 0
    try:
        minor = int(model.value(ext_node, lv2.minorVersion, None))
        micro = int(model.value(ext_node, lv2.microVersion, None))
    except:
        e = sys.exc_info()[1]
        print('warning: %s: failed to find version for %s' % (bundle, ext))

    # Get date
    date = None
    for r in model.triples([ext_node, doap.release, None]):
        revision = model.value(r[2], doap.revision, None)
        if revision == ('%d.%d' % (minor, micro)):
            date = model.value(r[2], doap.created, None)
            break

    # Verify that this date is the latest
    for r in model.triples([ext_node, doap.release, None]):
        revision = model.value(r[2], doap.revision, None)
        this_date = model.value(r[2], doap.created, None)
        if this_date > date:
            print('warning: %s revision %d.%d (%s) is not the latest release' % (
                ext_node, minor, micro, date))
            break
    
    # Get short description
    shortdesc = model.value(ext_node, doap.shortdesc, None)

    SPECGENDIR = 'lv2specgen'
    STYLEPATH  = 'build/aux/style.css'
    TAGFILE    = 'build/tags'

    specdoc = lv2specgen.specgen(
        spec.abspath(),
        SPECGENDIR,
        os.path.relpath(STYLEPATH, bundle),
        os.path.relpath('build/doc/html', bundle),
        TAGFILE,
        instances=True,
        offline=(not task.env.ONLINE_DOCS))

    lv2specgen.save(task.outputs[0].abspath(), specdoc)

    # Name (comment is to act as a sort key)
    target = path[len('lv2/lv2plug.in/ns/'):]
    if not task.env.ONLINE_DOCS:
        target += '/%s.html' % b
    row = '<tr><!-- %s --><td><a rel="rdfs:seeAlso" href="%s">%s</a></td>' % (
        b, target, b)

    # Description
    if shortdesc:
        row += '<td>' + str(shortdesc) + '</td>'
    else:
        row += '<td></td>'

    # Version
    version_str = '%s.%s' % (minor, micro)
    if minor == 0 or (micro % 2 != 0):
        row += '<td><span style="color: red">' + version_str + '</span></td>'
    else:
        row += '<td>' + version_str + '</td>'

    # Status
    deprecated = model.value(ext_node, owl.deprecated, None)
    if minor == 0:
        row += '<td><span class="error">Experimental</span></td>'
    elif deprecated and str(deprecated[2]) != "false":
        row += '<td><span class="warning">Deprecated</span></td>'
    elif micro % 2 == 0:
        row += '<td><span class="success">Stable</span></td>'

    row += '</tr>'

    index = open(os.path.join('build', 'index_rows', b), 'w')
    index.write(row)
    index.close()

def subst_file(template, output, dict):
    i = open(template, 'r')
    o = open(output, 'w')
    for line in i:
        for key in dict:
            line = line.replace(key, dict[key])
        o.write(line)
    i.close()
    o.close()

# Task to build extension index
def build_index(task):
    global index_lines
    rows = []
    for f in task.inputs:
        if not f.abspath().endswith('index.html.in'):
            rowfile = open(f.abspath(), 'r')
            rows += rowfile.readlines()
            rowfile.close()

    subst_file(task.inputs[0].abspath(), task.outputs[0].abspath(),
               { '@ROWS@': ''.join(rows),
                 '@LV2_VERSION@': VERSION})

# Task for making a link in the build directory to a source file
def link(task):
    if hasattr(os, 'symlink'):
        func = os.symlink
    else:
        func = shutil.copy  # Symlinks unavailable, make a copy

    try:
        os.remove(task.outputs[0].abspath())  # Remove old target
    except:
        pass  # No old target, whatever

    func(task.inputs[0].abspath(), task.outputs[0].abspath())

def build_ext(bld, path):
    name        = os.path.basename(path)
    bundle_dir  = os.path.join(bld.env.LV2DIR, name + '.lv2')
    include_dir = os.path.join(bld.env.INCLUDEDIR, path)

    # Copy headers to URI-style include paths in build directory
    for i in bld.path.ant_glob(path + '/*.h'):
        bld(rule   = link,
            source = i,
            target = bld.path.get_bld().make_node('%s/%s' % (path, i)))

    # Build test program if applicable
    if bld.env.BUILD_TESTS and bld.path.find_node(path + '/%s-test.c' % name):
        test_lib    = []
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_lib    += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Unit test program
        bld(features     = 'c cprogram',
            source       = path + '/%s-test.c' % name,
            lib          = test_lib,
            target       = path + '/%s-test' % name,
            install_path = None,
            cflags       = test_cflags)

    # Install bundle
    bld.install_files(bundle_dir,
                      bld.path.ant_glob(path + '/?*.*', excl='*.in'))

    # Install URI-like includes
    headers = bld.path.ant_glob(path + '/*.h')
    if headers:
        if bld.env.COPY_HEADERS:
            bld.install_files(include_dir, headers)
        else:
            bld.symlink_as(include_dir,
                           os.path.relpath(bundle_dir,
                                           os.path.dirname(include_dir)))

def build(bld):
    exts = (bld.path.ant_glob('lv2/lv2plug.in/ns/ext/*', dir=True) +
            bld.path.ant_glob('lv2/lv2plug.in/ns/extensions/*', dir=True))

    # Copy lv2.h to URI-style include path in build directory
    lv2_h_path = 'lv2/lv2plug.in/ns/lv2core/lv2.h'
    bld(rule   = link,
        source = bld.path.find_node(lv2_h_path),
        target = bld.path.get_bld().make_node(lv2_h_path))

    # LV2 pkgconfig file
    bld(features     = 'subst',
        source       = 'lv2.pc.in',
        target       = 'lv2.pc',
        install_path = '${LIBDIR}/pkgconfig',
        PREFIX       = bld.env.PREFIX,
        INCLUDEDIR   = bld.env.INCLUDEDIR,
        VERSION      = VERSION)

    # Build extensions
    for i in exts:
        build_ext(bld, i.srcpath())

    # Build plugins
    for i in bld.env.LV2_BUILD:
        bld.recurse(i)

    if bld.env.BUILD_BOOK:
        bld.recurse('plugins')

    if bld.env.DOCS or bld.env.ONLINE_DOCS:
        # Build Doxygen documentation (and tags file)
        autowaf.build_dox(bld, 'LV2', VERSION, top, out, 'lv2plug.in/doc', False)

        # Copy stylesheet to build directory
        bld(features = 'subst',
            is_copy  = True,
            name     = 'copy',
            source   = 'doc/style.css',
            target   = 'aux/style.css')

        index_files = []

        # Prepare spec output directories
        specs = exts + [bld.path.find_node('lv2/lv2plug.in/ns/lv2core')]
        for i in specs:
            # Copy spec files to build dir
            for f in bld.path.ant_glob(i.srcpath() + '/*.*'):
                bld(features = 'subst',
                    is_copy  = True,
                    name     = 'copy',
                    source   = f,
                    target   = chop_lv2_prefix(f.srcpath()))

            base = i.srcpath()[len('lv2/lv2plug.in'):]
            name = os.path.basename(i.srcpath())
            
            # Generate .htaccess file
            if bld.env.ONLINE_DOCS:
                bld(features     = 'subst',
                    source       = 'doc/htaccess.in',
                    target       = os.path.join(base, '.htaccess'),
                    install_path = None,
                    NAME         = name,
                    BASE         = base)

        # Call lv2specgen for each spec
        for i in specs:
            name = os.path.basename(i.srcpath())
            index_file = os.path.join('index_rows', name)
            index_files += [index_file]

            bld.add_group()  # Barrier (don't call lv2specgen in parallel)

            # Call lv2specgen to generate spec docs

=== lib-src/lv2/sratom/wscript ===
#!/usr/bin/env python
import os
import subprocess
import waflib.Options as Options
import waflib.extras.autowaf as autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
SRATOM_VERSION       = '0.4.2'
SRATOM_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'sratom'        # Package name for waf dist
VERSION = SRATOM_VERSION  # Package version for waf dist
top     = '.'             # Source directory
out     = 'build'         # Build directory

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help="Build unit tests")
    opt.add_option('--static', action='store_true', dest='static',
                   help="Build static library")
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Sratom Configuration')

    conf.env.BUILD_TESTS  = Options.options.build_tests
    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.BUILD_STATIC = Options.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    # Check for gcov library (for test coverage)
    if conf.env.BUILD_TESTS:
        conf.check_cc(lib='gcov',
                      define_name='HAVE_GCOV',
                      mandatory=False)

    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
                      atleast_version='1.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                      atleast_version='0.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                      atleast_version='0.12.0', mandatory=True)

    autowaf.define(conf, 'SRATOM_VERSION', SRATOM_VERSION)
    autowaf.set_lib_env(conf, 'sratom', SRATOM_VERSION)
    conf.write_config_header('sratom_config.h', remove=False)

    autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
    print('')

lib_source = ['src/sratom.c']

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/sratom-%s/sratom' % SRATOM_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('sratom/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SRATOM', SRATOM_VERSION, SRATOM_MAJOR_VERSION,
                     ['SERD', 'SORD', 'LV2'],
                     {'SRATOM_MAJOR_VERSION' : SRATOM_MAJOR_VERSION})

    libflags = ['-fvisibility=hidden']
    libs     = ['m']
    defines  = []
    if bld.env.MSVC_COMPILER:
        libflags = []
        libs     = []
        defines  = ['snprintf=_snprintf']

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  name            = 'libsratom',
                  target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
                  vnum            = SRATOM_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines + ['SRATOM_SHARED', 'SRATOM_INTERNAL'],
                  cflags          = libflags)
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  name            = 'libsratom_static',
                  target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
                  vnum            = SRATOM_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines + ['SRATOM_INTERNAL'])
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

    if bld.env.BUILD_TESTS:
        test_libs   = libs
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_libs   += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Static library (for unit test code coverage)
        obj = bld(features     = 'c cstlib',
                  source       = lib_source,
                  includes     = ['.', './src'],
                  lib          = test_libs,
                  name         = 'libsratom_profiled',
                  target       = 'sratom_profiled',
                  install_path = '',
                  defines      = defines + ['SRATOM_INTERNAL'],
                  cflags       = test_cflags)
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

        # Unit test program
        obj = bld(features     = 'c cprogram',
                  source       = 'tests/sratom_test.c',
                  includes     = ['.', './src'],
                  use          = 'libsratom_profiled',
                  lib          = test_libs,
                  target       = 'sratom_test',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags)

    # Documentation
    autowaf.build_dox(bld, 'SRATOM', SRATOM_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env.DOCS:
        bld.add_post_fun(fix_docs)

def test(ctx):
    autowaf.pre_test(ctx, APPNAME)
    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
    autowaf.run_tests(ctx, APPNAME, ['sratom_test'], dirs=['./src','./tests'])
    autowaf.post_test(ctx, APPNAME)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* sratom/*', shell=True)

def fix_docs(ctx):
    if ctx.cmd == 'build':
        autowaf.make_simple_dox(APPNAME)

def upload_docs(ctx):
    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/sratom/")

=== lib-src/lv2/lv2/plugins/eg04-sampler.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-sampler.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Sampler Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='1.2.1', uselib_store='LV2')

    autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE',
                      atleast_version='1.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-sampler.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)
    
    # Copy other data files to build bundle (build/eg-sampler.lv2)
    for i in ['sampler.ttl', 'click.wav']:
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'sampler.c',
              name         = 'sampler',
              target       = '%s/sampler' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = 'SNDFILE LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

    # Build UI library
    if bld.is_defined('HAVE_GTK2'):
        obj = bld(features     = 'c cshlib',
                  source       = 'sampler_ui.c',
                  name         = 'sampler_ui',
                  target       = '%s/sampler_ui' % bundle,
                  install_path = '${LV2DIR}/%s' % bundle,
                  use          = 'GTK2 LV2',
                  includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== debian/changelog ===
audacity (2.0.6-2) unstable; urgency=medium

  [ Martin Steghöfer ]
  * Workaround for wx bug causing layout problems in recovery dialog.
  * Fix effect dialog segfault due to events before initialization and
    add workaround for wxWidgets bug "Reentry in clipboard". (Closes: #765341)
  * Fix cursor recapturing in track panel sliders. (Closes: #765779)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Oct 2014 23:42:05 +0200

audacity (2.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to FossHub.
  * Bump Standards-Version to 3.9.6 (no changes required)
  * Drop all patches (all included in new upstream release) and the
    libnyquist autoreconf workaround
  * Disable tests (they fail to build, because they are bitrotten)
  * Fix autoreconf for the minimal audacity source tarball.
  * Compile audacity against wxWidgets 3.0. Thanks to Martin Steghöfer for
    this enormous patch (Closes: #749659)
  * Fix FTBFS with clang. Thanks to Arthur Marble. (Closes: #757531)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Oct 2014 01:28:54 +0200

audacity (2.0.5-2) unstable; urgency=medium

  * Add support for recent FFmpeg/libav versions. Thanks to Michael Niedermayer
    for the porting work. (Closes: #740755, LP: #1076928)
  * Fix default LADSPA search paths on Linux. (Closes: #724836, LP: #1261654)
  * Fix build failure caused by undefined PATH_MAX.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Remove -Wstrict-prototypes build flag from libnyquist.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 31 May 2014 22:02:54 +0200

=== debian/control ===
Source: audacity
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
           David Henningsson <diwic@ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               gettext,
               libasound2-dev [linux-any],
               libavcodec-dev (>= 6:0.8) | libavcodec-ffmpeg-dev,
               libavformat-dev (>= 6:0.8) | libavformat-ffmpeg-dev,
               libavutil-dev (>= 6:0.8) | libavutil-ffmpeg-dev,
               libexpat1-dev,
               libflac++-dev,
               libgtk2.0-dev,
               libid3tag0-dev,
               libjack-dev,
               libmad0-dev (>= 0.14.2b),
               libmp3lame-dev,
               libogg-dev (>= 1.0.0),
               libportsmf-dev,
               libsbsms-dev (>= 2.0.0),
               libsndfile1-dev (>= 1.0.0),
               libsoundtouch-dev (>= 1.3.1-2),
               libsoxr-dev (>= 0.0.5),
               libtwolame-dev (>= 0.3.9),
               libvorbis-dev (>= 1.0.0-3),
               libwxgtk3.0-dev,
               portaudio19-dev (>= 19+svn20101113-3~),
               vamp-plugin-sdk (>= 2.0)
Build-Conflicts: libwxbase2.6-dev, wx2.6-headers
Homepage: http://audacity.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacity.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacity.git

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: ladspa-plugin
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends}
Recommends: audacity
Breaks: audacity (<= 1.3.6-2)
Replaces: audacity (<= 1.3.6-2)
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the architecture-independent data files.

Package: audacity-dbg
Section: debug
Priority: extra
Architecture: any
Depends: audacity (= ${binary:Version}), ${misc:Depends}
Description: fast, cross-platform audio editor (debug)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed

configure_flags := \
	--disable-dynamic-loading \
	--with-expat=system \
	--with-ffmpeg=system \
	--with-lame=system \
	--with-libflac=system \
	--with-libid3tag=system \
	--with-libmad=system \
	--without-libresample \
	--without-libsamplerate \
	--with-libsndfile=system \
	--with-libsoxr=system \
	--with-libtwolame=system \
	--with-libvamp=system \
	--with-libvorbis=system \
	--with-midi=system \
	--with-portaudio=system \
	--with-sbsms=system \
	--with-soundtouch=system \
	$(NULL)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

# The tests fail to build as of version 2.0.6
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

override_dh_strip:
	dh_strip --dbg-package=audacity-dbg
